package com.supwisdom.dlpay.api.domain;

import javax.persistence.*;

@Entity
@Table(name = "TB_SHOP_PAYTYPE")
@IdClass(TShopPaytypePK.class)
public class TShopPaytype {
  @Id
  @Column(name = "SHOPACCNO", nullable = false, length = 10)
  private String shopaccno;

  @Id
  @Column(name = "PAYTYPE", nullable = false, length = 20)
  private String paytype;

  @Column(name = "CONSUME_ENABLE", nullable = false, length = 10)
  private String consumeEnable;

  @Column(name = "REVERSE_ENABLE", nullable = false, length = 10)
  private String reverseEnable;

  @Column(name = "CREATETIME", length = 14)
  private String createtime;

  public String getShopaccno() {
    return shopaccno;
  }

  public void setShopaccno(String shopaccno) {
    this.shopaccno = shopaccno;
  }

  public String getPaytype() {
    return paytype;
  }

  public void setPaytype(String paytype) {
    this.paytype = paytype;
  }

  public String getConsumeEnable() {
    return consumeEnable;
  }

  public void setConsumeEnable(String consumeEnable) {
    this.consumeEnable = consumeEnable;
  }

  public String getReverseEnable() {
    return reverseEnable;
  }

  public void setReverseEnable(String reverseEnable) {
    this.reverseEnable = reverseEnable;
  }

  public String getCreatetime() {
    return createtime;
  }

  public void setCreatetime(String createtime) {
    this.createtime = createtime;
  }
}
